// Copyright (C) 2024 The Android Open Source Project
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
// http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

syntax = "proto3";

import "VirtioGpuContextSnapshot.proto";
import "VirtioGpuResourceSnapshot.proto";

package gfxstream.host.snapshot;

// The state of Gfxstream's Virtio GPU frontend that serialized and
// deserialized during snapshot and restore operations.
//
// LINT.IfChange(virtio_gpu_frontend)
message VirtioGpuFrontendSnapshot {
    map<uint32, VirtioGpuContextSnapshot> contexts = 1;
    map<uint32, VirtioGpuResourceSnapshot> resources = 2;
}
// LINT.ThenChange(VirtioGpuFrontend.h:virtio_gpu_frontend)